Z3 |

Static Public Member Functions
Version Class Reference

## Static Public Member Functions
static int | getMajor ()
static int | getMinor ()
static int | getBuild ()
static int | getRevision ()
static String | getFullVersion ()
static String | getString ()

## Detailed Description

Version information. Remarks: Note that this class is static.

Definition at line 24 of file Version.java.

## Member Function Documentation

## ◆ getBuild()

static int getBuild | ( |  | ) |
| inline static

The build version

Definition at line 49 of file Version.java.

50 {
51 Native.IntPtr major = new Native.IntPtr(), minor = new Native.IntPtr(), build = new Native.IntPtr(), revision = new Native.IntPtr();
52 Native.getVersion(major, minor, build, revision);
53 return build.value;
54 }

## ◆ getFullVersion()

static String getFullVersion | ( |  | ) |
| inline static

A full version string

Definition at line 69 of file Version.java.

70 {
71 return Native.getFullVersion();
72 }

## ◆ getMajor()

static int getMajor | ( |  | ) |
| inline static

The major version

Definition at line 29 of file Version.java.

30 {
31 Native.IntPtr major = new Native.IntPtr(), minor = new Native.IntPtr(), build = new Native.IntPtr(), revision = new Native.IntPtr();
32 Native.getVersion(major, minor, build, revision);
33 return major.value;
34 }

## ◆ getMinor()

static int getMinor | ( |  | ) |
| inline static

The minor version

Definition at line 39 of file Version.java.

40 {
41 Native.IntPtr major = new Native.IntPtr(), minor = new Native.IntPtr(), build = new Native.IntPtr(), revision = new Native.IntPtr();
42 Native.getVersion(major, minor, build, revision);
43 return minor.value;
44 }

## ◆ getRevision()

static int getRevision | ( |  | ) |
| inline static

The revision

Definition at line 59 of file Version.java.

60 {
61 Native.IntPtr major = new Native.IntPtr(), minor = new Native.IntPtr(), build = new Native.IntPtr(), revision = new Native.IntPtr();
62 Native.getVersion(major, minor, build, revision);
63 return revision.value;
64 }

## ◆ getString()

static String getString | ( |  | ) |
| inline static

A string representation of the version information.

Definition at line 77 of file Version.java.

78 {
79 Native.IntPtr major = new Native.IntPtr(), minor = new Native.IntPtr(), build = new Native.IntPtr(), revision = new Native.IntPtr();
80 Native.getVersion(major, minor, build, revision);
81 return Integer.toString(major.value) + "." + Integer.toString(minor.value) + "."
82 + Integer.toString(build.value) + "." + Integer.toString(revision.value);
83 }